Package wx :: Package lib :: Module evtmgr :: Class EventMacroInfo

[frames | no frames]

## Class EventMacroInfo

A class that provides information about event macros.

Method Summary
| `__init__(self)`
| ``eventIsA`(self, event, macroList)` Return True if the event is one of the given macros.
| ``getEventTypes`(self, eventMacro)` Return the list of event types that the given macro corresponds to.
| ``isMultiEvent`(self, macro)` Return True if the given macro actually causes multiple events to be registered.
| ``macroIsA`(self, macro, macroList)` Return True if the macro is in the macroList.

Method Details

### eventIsA(self, event, macroList)

Return True if the event is one of the given macros.

### getEventTypes(self, eventMacro)

Return the list of event types that the given macro corresponds to.

### isMultiEvent(self, macro)

Return True if the given macro actually causes multiple events to be registered.

### macroIsA(self, macro, macroList)

Return True if the macro is in the macroList. The added value of this method is that it takes multi-events into account. The macroList parameter will be coerced into a sequence if needed.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:31 2007 | http://epydoc.sf.net